Bug 735370 - [abrt] kernel: WARNING: at drivers/gpu/drm/radeon/radeon_fence.c:267 radeon_fence_wait+0x296/0x33d [radeon](): TAINTED ---------W
Summary: [abrt] kernel: WARNING: at drivers/gpu/drm/radeon/radeon_fence.c:267 radeon_f...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jérôme Glisse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:6674ed8c4949f4167131d947ae6...
: 736234 741243 741338 742078 754482 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-02 14:03 UTC by vivien.frasca
Modified: 2012-08-07 16:31 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 16:31:51 UTC


Attachments (Terms of Use)

Description vivien.frasca 2011-09-02 14:03:58 UTC
abrt version: 2.0.3
architecture:   x86_64
cmdline:        ro root=UUID=cfd87396-da85-4091-8af2-db78a575d33a rd_NO_LUKS rd_NO_LVM rd_NO_MD rd_NO_DM LANG=fr_FR.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=fr-latin9 rhgb quiet libata.atapi_passthru16=0
comment:        Don't know how to reproduce this bug, it appears randomly...
component:      kernel
kernel:         2.6.40.3-0.fc15.x86_64
kernel_tainted: 512
kernel_tainted_long: Taint on warning.
os_release:     Fedora release 15 (Lovelock)
package:        kernel
reason:         WARNING: at drivers/gpu/drm/radeon/radeon_fence.c:267 radeon_fence_wait+0x296/0x33d [radeon]()
time:           Fri Sep  2 16:00:28 2011

backtrace:
:WARNING: at drivers/gpu/drm/radeon/radeon_fence.c:267 radeon_fence_wait+0x296/0x33d [radeon]()
:Hardware name: System Product Name
:GPU lockup (waiting for 0x00029982 last fence id 0x00029980)
:Modules linked in: tcp_lp fuse sunrpc cpufreq_ondemand powernow_k8 freq_table mperf bnep bluetooth rfkill nf_conntrack_netbios_ns nf_conntrack_broadcast nf_conntrack_ipv4 nf_defrag_ipv4 ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 xt_state nf_conntrack ip6table_filter ip6_tables joydev ppdev parport_pc parport microcode snd_hda_codec_hdmi sp5100_tco edac_core edac_mce_amd serio_raw snd_hda_codec_via k10temp i2c_piix4 asus_atk0110 snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm snd_timer snd xhci_hcd r8169 soundcore snd_page_alloc mii ipv6 pata_acpi ata_generic pata_atiixp wmi radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
:Pid: 1321, comm: Xorg Not tainted 2.6.40.3-0.fc15.x86_64 #1
:Call Trace:
: [<ffffffff81054c8e>] warn_slowpath_common+0x83/0x9b
: [<ffffffff81054d49>] warn_slowpath_fmt+0x46/0x48
: [<ffffffffa00d2579>] ? evergreen_gpu_is_lockup+0xba/0xc2 [radeon]
: [<ffffffffa0098dcd>] radeon_fence_wait+0x296/0x33d [radeon]
: [<ffffffff81070442>] ? remove_wait_queue+0x3a/0x3a
: [<ffffffffa00993c1>] radeon_sync_obj_wait+0x11/0x13 [radeon]
: [<ffffffffa0060642>] ttm_bo_wait+0xbf/0x17a [ttm]
: [<ffffffffa006106a>] ? ttm_bo_list_ref_sub+0x29/0x2b [ttm]
: [<ffffffffa00a9dbb>] radeon_bo_wait+0x7b/0x9f [radeon]
: [<ffffffffa00aa31d>] radeon_gem_wait_idle_ioctl+0x3d/0x70 [radeon]
: [<ffffffffa00157f7>] drm_ioctl+0x29e/0x37b [drm]
: [<ffffffffa00aa2e0>] ? radeon_gem_busy_ioctl+0x86/0x86 [radeon]
: [<ffffffff811f6290>] ? inode_has_perm+0x32/0x34
: [<ffffffff811f6339>] ? file_has_perm+0xa7/0xc9
: [<ffffffff81134e06>] do_vfs_ioctl+0x460/0x4a1
: [<ffffffff810a0f91>] ? audit_syscall_exit+0x12d/0x148
: [<ffffffff81134e9d>] sys_ioctl+0x56/0x79
: [<ffffffff8148e435>] ? int_check_syscall_exit_work+0x34/0x3d
: [<ffffffff8148e182>] system_call_fastpath+0x16/0x1b

event_log:
:2011-09-02-16:03:20> Error sending kernel oops due to missing backtrace
:2011-09-02-16:03:20* (exited with 1)
:2011-09-02-16:03:20> Essential file 'duphash' is missing, can't continue..
:2011-09-02-16:03:20* (exited with 1)

Comment 1 Jason Smith 2012-05-28 17:18:55 UTC
*** Bug 736234 has been marked as a duplicate of this bug. ***

Comment 2 Jason Smith 2012-05-28 17:20:47 UTC
*** Bug 754482 has been marked as a duplicate of this bug. ***

Comment 3 Jason Smith 2012-05-28 17:21:41 UTC
*** Bug 741243 has been marked as a duplicate of this bug. ***

Comment 4 Jason Smith 2012-05-28 17:22:29 UTC
*** Bug 741338 has been marked as a duplicate of this bug. ***

Comment 5 Jason Smith 2012-05-28 17:23:32 UTC
*** Bug 742078 has been marked as a duplicate of this bug. ***

Comment 6 Fedora End Of Life 2012-08-07 16:31:54 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.